Index: auth-pam.c
===================================================================
RCS file: /usr/local/src/security/openssh/cvs/openssh_cvs/auth-pam.c,v
retrieving revision 1.99
diff -u -p -r1.99 auth-pam.c
--- auth-pam.c	30 Mar 2004 10:57:57 -0000	1.99
+++ auth-pam.c	17 Apr 2004 23:24:05 -0000
@@ -58,6 +58,7 @@ RCSID("$Id: auth-pam.c,v 1.99 2004/03/30
 extern ServerOptions options;
 extern Buffer loginmsg;
 extern int compat20;
+extern u_int utmp_len;
 
 #ifdef USE_POSIX_THREADS
 #include <pthread.h>
@@ -453,7 +454,6 @@ sshpam_cleanup(void)
 static int
 sshpam_init(Authctxt *authctxt)
 {
-	extern u_int utmp_len;
 	extern char *__progname;
 	const char *pam_rhost, *pam_user, *user = authctxt->user;
 
@@ -599,7 +599,9 @@ sshpam_query(void *ctx, char **name, cha
 				xfree(msg);
 				return (0);
 			}
-			error("PAM: %s", msg);
+			error("PAM: %s for user %.100s from %.100s", msg,
+			    sshpam_authctxt->user,
+			    get_remote_name_or_ip(utmp_len, options.use_dns));
 			/* FALLTHROUGH */
 		default:
 			*num = 0;
